Subject: Re: rxvt interacts badly with bash line editing
From: Gary Bishop <[email-masked]>
To: Chris Faylor <[email-masked]>
Cc: [email-masked]
Date: Fri, 02 Jul 1999 11:14:23 -0400

Wait! I take it back. Chris was right, in a way....

If I set the TERM=xterm   AND   get rid of the fancy prompt export 
PS1="\e[34m\]\w\[\e[0m\]> " then it works.

This would be fine but now my other programs (like less) don't work because 
they complain

WARNING: terminal is not fully functional

What do I have to do to make TERM=xterm work with less and others? Even the 
/etc/termcap that comes with the X11R6 package does not appear to include 
xterm.

Thanks for the helpful suggestions.
gb

At 06:16 PM 7/1/99 -0400, Chris Faylor wrote:
>I doubt that the "TERM=linux" part is right.  Maybe it should be
>"TERM=xterm"?
>
>cgf
>
>On Thu, Jul 01, 1999 at 05:22:35PM -0400, Gary Bishop wrote:
> >I'm using the version of rxvt from http://www.io.com/~bub/rxvt.html along
> >with bash from cygwin release 20.1. It mostly works great.
> >
> >It has one bad feature. When command lines get long, and bash would
> >normally scroll to the right, it drops down to the next line but still
> >thinks it is scrolling.
> >
> >bash line editing works fine in both the Win98 and NT command shells but
> >exhibits this irritating property in rxvt.
> >
> >I'm guessing that I have something set up incorrectly but I can't guess
> >what. Can any tell me how to fix this?
> >
> >My .bashrc has these lines in it:
> >
> >export DISPLAY=localhost:0.0
> >export PS1='$ '
> >export HISTFILE=/d/msl/_bash_history
> >export
> >PATH=.:$HOME/bin:/usr/bin:/usr/local/bin:/usr/local/texmf/miktex/bin:/usr 
> /lo
> >cal/netpbm/bin
> >
> >alias emacs=/usr/local/emacs/bin/runemacs
> >alias gsview=/usr/local/gstools/gsview/gsview32
> >alias msword="/Program Files/Microsoft Office/Office/winword"
> >
> >if [ "$COLORTERM" = "rxvt-xpm" ] ; then
> >          export PS1="\e[34m\]\w\[\e[0m\]> "
> >          export TERM=linux
> >          alias ls=ls\ -F\ --color
> >       export LS_COLORS="ex=35"
> >          stty intr ^c susp ^z start ^q stop ^s quit ^\\ erase ^?
> >fi
> >
> >My environment variables on NT look like:
> >
> >CLASSPATH=D:\Program Files\Intel\VTune40;.;
> >CYGWIN=tty
> >DISPLAY=localhost:0.0
> >HOME=d:\msl\gb
> >include=D:\Program Files\Intel\Compiler4.0\include;D:\PROGRAM
> >FILES\INTEL\COMPILER2.4\include;C:\Program Files\Microsoft Visual
> >Studio\VC98\atl\include;C:\Program Files\Microsoft Visual
> >Studio\VC98\mfc\include;C:\Program Files\Microsoft Visual 
> Studio\VC98\include
> >lib=D:\Program Files\Intel\Compiler4.0\lib;D:\PROGRAM
> >FILES\INTEL\COMPILER2.4\lib;D:\Program Files\Intel\VTune40;C:\Program
> >Files\Microsoft Visual Studio\VC98\mfc\lib;C:\Program Files\Microsoft
> >Visual Studio\VC98\lib
> >LOGNAME=gb
> >MAKE_MODE=unix
> >MSDevDir=C:\Program Files\Microsoft Visual Studio\Common\MSDev98
> >Path=d:\msl\gb\bin;c:\usr\bin;c:\usr\local\bin;\usr\local\texmf\miktex\bi 
> n;\
> >usr\local\netpbm\bin;d:\progra~1\Matlab\bin;
> >SHELL=\usr\bin\bash.exe
> >TEMP=c:\TMP
> >TERM=linux
> >TMP=c:\TMP
> >TZ=EST5EDT
> >
> >My .Xdefaults has:
> >
> >rxvt*font: -*-Courier-light-r-*-18-*
> >rxvt*boldFont: -*-Courier-medium-r-*-18-*

--
Want to unsubscribe from this list?
Send a message to [email-masked]